ethernet.h File Reference
`#include "lwip/arch.h"`
`#include "lwip/prot/ieee.h"`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures

struct | eth_addr
struct | eth_hdr
struct | eth_vlan_hdr

## Macros

#define | ETH_ADDR(b0, b1, b2, b3, b4, b5) {{b0, b1, b2, b3, b4, b5}}
#define | LL_IP4_MULTICAST_ADDR_0 0x01
#define | LL_IP6_MULTICAST_ADDR_0 0x33

## Detailed Description

Ethernet protocol definitions

## Macro Definition Documentation

## ETH_ADDR

#define ETH_ADDR | ( |  | b0,
|  |  | b1,
|  |  | b2,
|  |  | b3,
|  |  | b4,
|  |  | b5
| ) |  | {{b0, b1, b2, b3, b4, b5}}

Initialize a struct eth_addr with its 6 bytes (takes care of correct braces)

## LL_IP4_MULTICAST_ADDR_0

#define LL_IP4_MULTICAST_ADDR_0 0x01

The 24-bit IANA IPv4-multicast OUI is 01-00-5e:

## LL_IP6_MULTICAST_ADDR_0

#define LL_IP6_MULTICAST_ADDR_0 0x33

IPv6 multicast uses this prefix